<?php
/**
 *  Database functions
 */

class Database {
    const DB_CONNECTION_STRING = "host=localhost port=5432 dbname=mgportal user=postgres connect_timeout=30";
    
    public function __construct() {
        $this->connection = null;
    }

    public function __destruct() {
        $this->closeConnection();
    }
    
    public function connect() {
        $this->connection = pg_connect(Database::DB_CONNECTION_STRING);
        return $this->getConnection();
    }
    
    public function getConnection() {
        return $this->connection;
    }
    
    public function closeConnection() {
        if ($this->connection !== null) {
            pg_close($this->connection);
            $this->connection = null;
        }
    }
};

?>